---------------------
PatchSet 6882 
Date: 2008/02/19 21:54:28
Author: amosjeffries
Branch: cleanup
Tag: (none) 
Log:
More .h dependency fixes.

Members: 
	NOTES-cleanup:1.1.2.2->1.1.2.3 
	include/snmp_debug.h:1.1->1.1.74.1 
	include/snmp_impl.h:1.1->1.1.74.1 
	include/snmp_msg.h:1.1->1.1.74.1 
	include/snmp_session.h:1.1->1.1.74.1 
	include/snmp_util.h:1.1->1.1.74.1 

Index: squid3/NOTES-cleanup
===================================================================
RCS file: /cvsroot/squid-sf//squid3/Attic/NOTES-cleanup,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/NOTES-cleanup	19 Feb 2008 03:53:05 -0000	1.1.2.2
+++ squid3/NOTES-cleanup	19 Feb 2008 21:54:28 -0000	1.1.2.3
@@ -3,8 +3,8 @@
 
 * Add automatic testing for header dependency
 	DONE- script to perform universal include unit-test for .h files
-	TESTING- link to automatic unit-testing in each directory
-	- fix all resulting compile errors!
+	UNDERWAY - link to automatic unit-testing in each directory
+	UNDERWAY - fix all resulting compile errors!
 
 * Fix Broken Unit-test for COSS
 
Index: squid3/include/snmp_debug.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/snmp_debug.h,v
retrieving revision 1.1
retrieving revision 1.1.74.1
diff -u -r1.1 -r1.1.74.1
--- squid3/include/snmp_debug.h	14 Oct 2002 00:18:18 -0000	1.1
+++ squid3/include/snmp_debug.h	19 Feb 2008 21:54:28 -0000	1.1.74.1
@@ -1,23 +1,15 @@
 /*
- * $Id: snmp_debug.h,v 1.1 2002/10/14 00:18:18 squidadm Exp $
+ * $Id: snmp_debug.h,v 1.1.74.1 2008/02/19 21:54:28 amosjeffries Exp $
  */
-
 #ifndef SQUID_SNMP_DEBUG_H
 #define SQUID_SNMP_DEBUG_H
 
-#ifdef __cplusplus
-extern "C" {
-#endif
+#include "config.h"
 
 #if STDC_HEADERS
-extern void 
-snmplib_debug(int, const char *,...) PRINTF_FORMAT_ARG2;
+SQUIDCEXTERN void snmplib_debug(int, const char *,...) PRINTF_FORMAT_ARG2;
 #else
-extern void snmplib_debug (va_alist);
-#endif
-
-#ifdef __cplusplus
-};
+SQUIDCEXTERN void snmplib_debug(va_alist);
 #endif
 
 #endif /* SQUID_SNMP_DEBUG_H */
Index: squid3/include/snmp_impl.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/snmp_impl.h,v
retrieving revision 1.1
retrieving revision 1.1.74.1
diff -u -r1.1 -r1.1.74.1
--- squid3/include/snmp_impl.h	14 Oct 2002 00:18:18 -0000	1.1
+++ squid3/include/snmp_impl.h	19 Feb 2008 21:54:28 -0000	1.1.74.1
@@ -1,10 +1,11 @@
 /*
- * $Id: snmp_impl.h,v 1.1 2002/10/14 00:18:18 squidadm Exp $
+ * $Id: snmp_impl.h,v 1.1.74.1 2008/02/19 21:54:28 amosjeffries Exp $
  */
-
 #ifndef SQUID_SNMP_IMPL_H
 #define SQUID_SNMP_IMPL_H
 
+#include "asn1.h"
+
 /*
  * Definitions for SNMP (RFC 1067) implementation.
  *
@@ -46,6 +47,8 @@
 
 #define SID_MAX_LEN	64
 
+#if 0 /* defines performed globally by config.h */
+
 #ifndef NULL
 #define NULL 0
 #endif
@@ -56,6 +59,7 @@
 #ifndef FALSE
 #define FALSE	0
 #endif
+#endif /* dead code. */
 
 #define READ	    1
 #define WRITE	    0
Index: squid3/include/snmp_msg.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/snmp_msg.h,v
retrieving revision 1.1
retrieving revision 1.1.74.1
diff -u -r1.1 -r1.1.74.1
--- squid3/include/snmp_msg.h	14 Oct 2002 00:18:18 -0000	1.1
+++ squid3/include/snmp_msg.h	19 Feb 2008 21:54:28 -0000	1.1.74.1
@@ -2,6 +2,8 @@
 #ifndef SQUID_SNMP_MSG_H
 #define SQUID_SNMP_MSG_H
 
+#include "config.h"
+
 /**********************************************************************
  *
  *           Copyright 1997 by Carnegie Mellon University
@@ -26,7 +28,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_msg.h,v 1.1 2002/10/14 00:18:18 squidadm Exp $
+ * $Id: snmp_msg.h,v 1.1.74.1 2008/02/19 21:54:28 amosjeffries Exp $
  * 
  **********************************************************************/
 
@@ -37,10 +39,8 @@
 extern "C" {
 #endif
 
-    u_char *snmp_msg_Encode(u_char *, int *, u_char *,
-	int, int, struct snmp_pdu *);
-    u_char *snmp_msg_Decode(u_char *, int *, u_char *,
-	int *, int *, struct snmp_pdu *);
+u_char *snmp_msg_Encode(u_char *, int *, u_char *, int, int, struct snmp_pdu *);
+u_char *snmp_msg_Decode(u_char *, int *, u_char *, int *, int *, struct snmp_pdu *);
 
 #ifdef __cplusplus
 }
Index: squid3/include/snmp_session.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/snmp_session.h,v
retrieving revision 1.1
retrieving revision 1.1.74.1
diff -u -r1.1 -r1.1.74.1
--- squid3/include/snmp_session.h	14 Oct 2002 00:18:18 -0000	1.1
+++ squid3/include/snmp_session.h	19 Feb 2008 21:54:28 -0000	1.1.74.1
@@ -2,6 +2,8 @@
 #ifndef SQUID_SNMP_SESSION_H
 #define SQUID_SNMP_SESSION_H
 
+#include "config.h"
+
 /**********************************************************************
  *
  *           Copyright 1997 by Carnegie Mellon University
@@ -24,14 +26,13 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp_session.h,v 1.1 2002/10/14 00:18:18 squidadm Exp $
+ * $Id: snmp_session.h,v 1.1.74.1 2008/02/19 21:54:28 amosjeffries Exp $
  * 
  **********************************************************************/
 
 struct snmp_session {
     int Version;		/* SNMP Version for this session */
 
-
     u_char *community;		/* community for outgoing requests. */
     int community_len;		/* Length of community name. */
     int retries;		/* Number of retries before timeout. */
Index: squid3/include/snmp_util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/snmp_util.h,v
retrieving revision 1.1
retrieving revision 1.1.74.1
diff -u -r1.1 -r1.1.74.1
--- squid3/include/snmp_util.h	14 Oct 2002 00:18:18 -0000	1.1
+++ squid3/include/snmp_util.h	19 Feb 2008 21:54:28 -0000	1.1.74.1
@@ -1,10 +1,11 @@
 /*
- * $Id: snmp_util.h,v 1.1 2002/10/14 00:18:18 squidadm Exp $
+ * $Id: snmp_util.h,v 1.1.74.1 2008/02/19 21:54:28 amosjeffries Exp $
  */
-
 #ifndef SQUID_SNMP_UTIL_H
 #define SQUID_SNMP_UTIL_H
 
+#include "config.h"
+
 #ifdef __cplusplus
 extern "C" {
 #endif
